package cd.casic.module.execute.docker.dataobject.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.Getter;

/**
 * @description: TODO
 * @author: mianbin
 * @date: 2025/5/26 16:45
 * @version: 1.0
 */
@Data
@Builder
public class OperateRecord {

    private String clientId;

    private Long userId;

    private String name;

    private OperatorResource resource;

    private Object content;

    @Getter
    @AllArgsConstructor
    public enum OperatorResource {
        IMAGE_v1("操作镜像"),
        CONTAINER_v1("操作容器"),
        VOLUME_v1("操作储存卷"),
        NETWORK_v1("操作网络");
        private final String desc;
    }
}
